<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('diamond_roi_users', function (Blueprint $table) {
            $table->id();
            $table->integer('inv_id');
            $table->string('user_id')->nullable();
            $table->float('wallet_value', 15, 2);
            $table->double('reward', 15, 2)->default(0);
            $table->integer('days')->default(1512);
            $table->float('roi_percentage', 15, 2)->nullable();
            $table->float('sponsor_roi', 15, 2)->default(0);
            $table->string('sponsor_status', 50);
            $table->string('deposited_by', 50)->nullable();
            $table->dateTime('entry_date');
            $table->string('give_spot', 50)->default('yes');
            $table->boolean('is_level')->default(0);
            $table->boolean('is_blocked')->default(0);
            $table->text('block_remark')->nullable();
            $table->timestamps();
        });

        
        

        
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('diamond_roi_users');
    }
};
